*-----------------------------------------------------------
* Title      : MOVE,MOVEA,MOVEP,MOVEM
* Written by : D.Karampatzakis
* Date       : Oct 2019
* Description: MOVE instructions
*-----------------------------------------------------------
       ORG     $400400
START: MOVE.L  #$12345678,D0
       MOVEA.L #$00400600,A0
       MOVEA.L #$00400620,A5
       MOVEA.L #$00400601,A1        ; EVEN ADDR,EVEN PLACES - ODD ADDR,ODD PLACES 
       MOVEP.L D0,2(A1)             ; 2 PLACES DISPLACEMENT
       MOVEM.W $00400600,D0-D1/D7   ; MOVEM.W SIGN EXTENDS WORDS WHEN THEY ARE MOVED TO DATA REGS.
       MOVEM.W A0-A1/A5,$00400620   ; THE ORDER OF TRANSFER IS D0->D7, A0->A7
       MOVEM.L (A0),D4-D5/A6        ; THE ORDER OF TRANSFER IS D0->D7, A0->A7
       MOVEM.L D4-D5/A6,-(A5)       ; THE ORDER OF TRANSFER IS A7->A0, D7->D0
       MOVEA.L #$00400604,A0
       MOVEM.L (A0)+,D4-D5/A6       ; THE ORDER OF TRANSFER IS A7->A0, D7->D0
       MOVE.W  #$3FFE,$400500
       MOVE.W  #$F40B,$400502
       MOVEM.W $400500,D0/D5
       MOVEM.W D0/D5,$400600
       END     START        






*~Font name~Courier New~
*~Font size~14~
*~Tab type~1~
*~Tab size~4~
