*-----------------------------------------------------------
* Title      :  ABCD
* Written by :
* Date       : 28-03-2022
* Description: Add two BCD nums 
*-----------------------------------------------------------
        ORG $400400
NUM1    DC.L $11443326
NUM2	DC.L $87655812
 	    
        ORG $400410
ADDBCD	LEA NUM1+4,A0      ;puts the pointer at the end of each long word + 1 because ABCD uses -(An) add mode 
 	    LEA NUM2+4,A1
 	    MOVE #$04,CCR      ; clears X-bit and sets Z bit (test for zero after a chan of operations) of the CCR    
 	    MOVE.B #03,D0      ; D0=3, with DBRA the loop will run 4 times, DBRA exits at -1
LOOP	ABCD -(A0),-(A1)   ; ABCD uses X CCR bit 
 	    DBRA D0,LOOP
 	    END ADDBCD



*~Font name~Courier New~
*~Font size~16~
*~Tab type~1~
*~Tab size~4~
